# Class CIM_VirtualSystemSnapshotCapabilities
extends CIM_Capabilities

The CIM_VirtualSystemSnapshotCapabilities class defines the properties that describe the capabilities of a virtual system with respect to snapshots, like for example the set of snapshot operations that it enabled for a virtual system.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_VirtualSystemSnapshotCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_VirtualSystemSnapshotCapabilities class defines the properties that describe the capabilities of a virtual system with respect to snapshots, like for example the set of snapshot operations that it enabled for a virtual system.
UMLPackagePath | string | CIM::Core::Virtualization
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
GuestOSNotificationEnabled | boolean |
Description | string | Boolean flag indicating the capability of the snapshot service to notify the guest operation system that runs within the virtual system about the imminent snapshot operation.
SnapshotTypesEnabled | uint16[] |
Description | string | Enumeration of snapshot type identifiers each designating a snapshot type that is presently enabled for the virtual system that is referenced via the CIM_ElementCapabilities association.
ModelCorrespondence | string | CIM_VirtualSystemSnapshotService.CreateSnapshot(SnapshotType), CIM_VirtualSystemSnapshotServiceCapabilities.SnapshotTypesSupported
ValueMap | string | 2, 3, .., 32768..65535
Values | string | Full Snapshot, Disk Snapshot, DMTF Reserved, Vendor Specific

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods